Pipelines
Get pipeline
Returns a pipeline by its id.
GET
/
workspaces
/
{workspaceId}
/
pipelines
/
{pipelineId}
Get pipeline
curl --request GET \
--url https://api.example.com/workspaces/{workspaceId}/pipelines/{pipelineId}import requests
url = "https://api.example.com/workspaces/{workspaceId}/pipelines/{pipelineId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/workspaces/{workspaceId}/pipelines/{pipelineId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/workspaces/{workspaceId}/pipelines/{pipelineId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/workspaces/{workspaceId}/pipelines/{pipelineId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/workspaces/{workspaceId}/pipelines/{pipelineId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/workspaces/{workspaceId}/pipelines/{pipelineId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"avatarUrl": "<string>",
"displayName": "<string>"
},
"definition": {
"defaultScope": {
"countries": [
"<string>"
],
"languages": [],
"metadata": {
"audience": [],
"purpose": "<string>",
"tags": []
}
},
"policyIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"displayName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"updatedAt": "2023-11-07T05:31:56Z",
"workspaceHandle": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"retention": {
"auditLogs": {
"mode": "persistent"
},
"intermediates": {
"mode": "persistent"
},
"redactedDocuments": {
"mode": "persistent"
}
}
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}Path Parameters
Workspace identifier.
Id of the pipeline.
Response
WorkspacePipeline response.
WorkspacePipeline response.
Timestamp when the pipeline was created.
Account that created this pipeline.
Show child attributes
Show child attributes
Detection + redaction configuration.
Show child attributes
Show child attributes
WorkspacePipeline display name.
Unique identifier of the pipeline.
WorkspacePipeline lifecycle status.
Allowed value:
"draft"Timestamp when the pipeline was last updated.
URL-safe workspace handle. Display-only.
Required string length:
3 - 32Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Unique identifier of the workspace.
WorkspacePipeline description.
Per-scope data-retention override, when the pipeline sets one.
Show child attributes
Show child attributes
Get pipeline
curl --request GET \
--url https://api.example.com/workspaces/{workspaceId}/pipelines/{pipelineId}import requests
url = "https://api.example.com/workspaces/{workspaceId}/pipelines/{pipelineId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/workspaces/{workspaceId}/pipelines/{pipelineId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/workspaces/{workspaceId}/pipelines/{pipelineId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/workspaces/{workspaceId}/pipelines/{pipelineId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/workspaces/{workspaceId}/pipelines/{pipelineId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/workspaces/{workspaceId}/pipelines/{pipelineId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"avatarUrl": "<string>",
"displayName": "<string>"
},
"definition": {
"defaultScope": {
"countries": [
"<string>"
],
"languages": [],
"metadata": {
"audience": [],
"purpose": "<string>",
"tags": []
}
},
"policyIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"displayName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"updatedAt": "2023-11-07T05:31:56Z",
"workspaceHandle": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"retention": {
"auditLogs": {
"mode": "persistent"
},
"intermediates": {
"mode": "persistent"
},
"redactedDocuments": {
"mode": "persistent"
}
}
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}